#
# Conditional build:
%bcond_with	tests		# test suite

%define		kf_ver		6.10.0
%define		kp_ver		%{version}
%define		qt_ver		6.7.0
%define		kpname		libplasma

Summary:	Foundational libraries, components, and tools of the Plasma workspaces
Summary(pl.UTF-8):	Podstawowe biblioteki, komponenty i narzędzia środowiska Plasma
Name:		kp6-%{kpname}
Version:	6.4.2
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/plasma/%{kp_ver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	b1f710abd044b5e88c459dff0271c85d
URL:		https://kde.org/
BuildRequires:	EGL-devel
BuildRequires:	OpenGL-devel
BuildRequires:	Qt6Core-devel >= %{qt_ver}
BuildRequires:	Qt6DBus-devel >= %{qt_ver}
BuildRequires:	Qt6Gui-devel >= %{qt_ver}
BuildRequires:	Qt6Qml-devel >= %{qt_ver}
# QtQuick, QuickControls2, %{?with_tests:QuickTests}
BuildRequires:	Qt6Quick-devel >= %{qt_ver}
BuildRequires:	Qt6Svg-devel >= %{qt_ver}
%{?with_tests:BuildRequires:	Qt6Test-devel >= %{qt_ver}}
BuildRequires:	Qt6WaylandClient-devel >= %{qt_ver}
BuildRequires:	Qt6Widgets-devel >= %{qt_ver}
BuildRequires:	cmake >= 3.22
BuildRequires:	kf6-extra-cmake-modules >= %{kf_ver}
BuildRequires:	kf6-karchive-devel >= %{kf_ver}
BuildRequires:	kf6-kcmutils-devel >= %{kf_ver}
BuildRequires:	kf6-kconfig-devel >= %{kf_ver}
BuildRequires:	kf6-kcoreaddons-devel >= %{kf_ver}
# examples only
#BuildRequires:	kf6-kdbusaddons-devel >= %{kf_ver}
BuildRequires:	kf6-kglobalaccel-devel >= %{kf_ver}
BuildRequires:	kf6-kguiaddons-devel >= %{kf_ver}
BuildRequires:	kf6-ki18n-devel >= %{kf_ver}
BuildRequires:	kf6-kiconthemes-devel >= %{kf_ver}
BuildRequires:	kf6-kio-devel >= %{kf_ver}
BuildRequires:	kf6-kirigami-devel >= %{kf_ver}
BuildRequires:	kf6-knotifications-devel >= %{kf_ver}
BuildRequires:	kf6-kpackage-devel >= %{kf_ver}
BuildRequires:	kf6-ksvg-devel >= %{kf_ver}
BuildRequires:	kf6-kwidgetsaddons-devel >= %{kf_ver}
BuildRequires:	kf6-kwindowsystem-devel >= %{kf_ver}
BuildRequires:	kp6-plasma-activities-devel >= %{kp_ver}
BuildRequires:	libstdc++-devel >= 6:8
BuildRequires:	libxcb-devel
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	plasma-wayland-protocols-devel >= 1.10.0
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	wayland-devel >= 1.9
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libxkbcommon-devel
BuildRequires:	xz
Requires:	%{name}-data = %{version}-%{release}
Requires:	Qt6Core >= %{qt_ver}
Requires:	Qt6Gui >= %{qt_ver}
Requires:	Qt6Qml >= %{qt_ver}
Requires:	Qt6Quick >= %{qt_ver}
Requires:	Qt6WaylandClient >= %{qt_ver}
Requires:	Qt6Widgets >= %{qt_ver}
Requires:	kf6-kcmutils >= %{kf_ver}
Requires:	kf6-kconfig >= %{kf_ver}
Requires:	kf6-kcoreaddons >= %{kf_ver}
Requires:	kf6-kglobalaccel >= %{kf_ver}
Requires:	kf6-kguiaddons >= %{kf_ver}
Requires:	kf6-ki18n >= %{kf_ver}
Requires:	kf6-kiconthemes >= %{kf_ver}
Requires:	kf6-kio >= %{kf_ver}
Requires:	kf6-kirigami >= %{kf_ver}
Requires:	kf6-knotifications >= %{kf_ver}
Requires:	kf6-kpackage >= %{kf_ver}
Requires:	kf6-ksvg >= %{kf_ver}
Requires:	kf6-kwidgetsaddons >= %{kf_ver}
Requires:	kf6-kwindowsystem >= %{kf_ver}
Requires:	kp6-plasma-activities >= %{kp_ver}
Requires:	wayland >= 1.9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libplasma provides the following:
- QML components that can be used by any Plasma shell
- A C++ library: libplasma itself
- Script engines

%description -l pl.UTF-8
libplasma obejmuje:
- komponenty QML, które mogą być używane z powłoką Plasma
- samą bibliotekę C++ libplasma
- silniki skryptowe

%package data
Summary:	Data files for %{kpname}
Summary(pl.UTF-8):	Dane dla %{kpname}
Group:		X11/Applications
Provides:	kf5-plasma-desktoptheme-breeze = %{version}-%{release}
Obsoletes:	kf5-plasma-desktoptheme-breeze < 6
Conflicts:	kf5-plasma-framework < 5.116.0-2
BuildArch:	noarch

%description data
Data for %{kpname}.

%description data -l pl.UTF-8
Dane dla %{kpname}.

%package devel
Summary:	Header files for %{kpname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kpname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	Qt6Core-devel >= %{qt_ver}
Requires:	Qt6Gui-devel >= %{qt_ver}
Requires:	Qt6Qml-devel >= %{qt_ver}
Requires:	Qt6Quick-devel >= %{qt_ver}
Requires:	kf6-kconfig-devel >= %{kf_ver}
Requires:	kf6-kcoreaddons-devel >= %{kf_ver}
Requires:	kf6-kpackage-devel >= %{kf_ver}
Requires:	kf6-kwindowsystem-devel >= %{kf_ver}
Requires:	libstdc++-devel >= 6:8

%description devel
Header files for %{kpname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kpname}.

%prep
%setup -q -n %{kpname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir}

%ninja_build -C build

%if %{with tests}
ctest
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{kpname}6 --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libPlasma.so.*.*
%ghost %{_libdir}/libPlasma.so.6
%attr(755,root,root) %{_libdir}/libPlasmaQuick.so.*.*
%ghost %{_libdir}/libPlasmaQuick.so.6
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kirigami/platform/KirigamiPlasmaStyle.so
%dir %{_libdir}/qt6/plugins/kf6/packagestructure
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/packagestructure/plasma_applet.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/packagestructure/plasma_containmentactions.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/packagestructure/plasma_generic.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/packagestructure/plasma_shell.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/packagestructure/plasma_theme.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/packagestructure/plasma_wallpaper.so
%dir %{_libdir}/qt6/qml/org/kde/kirigami/styles/Plasma
%{_libdir}/qt6/qml/org/kde/kirigami/styles/Plasma/AbstractApplicationHeader.qml
%dir %{_libdir}/qt6/qml/org/kde/plasma/components
%{_libdir}/qt6/qml/org/kde/plasma/components/*.qml
%{_libdir}/qt6/qml/org/kde/plasma/components/kde-qmlmodule.version
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/plasma/components/liborg_kde_plasmacomponents3.so
%{_libdir}/qt6/qml/org/kde/plasma/components/mobiletextselection
%{_libdir}/qt6/qml/org/kde/plasma/components/org_kde_plasmacomponents3.qmltypes
%{_libdir}/qt6/qml/org/kde/plasma/components/private
%{_libdir}/qt6/qml/org/kde/plasma/components/qmldir
%dir %{_libdir}/qt6/qml/org/kde/plasma/core
%{_libdir}/qt6/qml/org/kde/plasma/core/*.qml
%{_libdir}/qt6/qml/org/kde/plasma/core/corebindingsplugin.qmltypes
%{_libdir}/qt6/qml/org/kde/plasma/core/kde-qmlmodule.version
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/plasma/core/libcorebindingsplugin.so
%{_libdir}/qt6/qml/org/kde/plasma/core/qmldir
%dir %{_libdir}/qt6/qml/org/kde/plasma/extras
%{_libdir}/qt6/qml/org/kde/plasma/extras/*.qml
%{_libdir}/qt6/qml/org/kde/plasma/extras/animations
%{_libdir}/qt6/qml/org/kde/plasma/extras/kde-qmlmodule.version
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/plasma/extras/libplasmaextracomponentsplugin.so
%{_libdir}/qt6/qml/org/kde/plasma/extras/plasmaextracomponentsplugin.qmltypes
%{_libdir}/qt6/qml/org/kde/plasma/extras/private
%{_libdir}/qt6/qml/org/kde/plasma/extras/qmldir

%files data -f %{kpname}6.lang
%defattr(644,root,root,755)
%dir %{_datadir}/plasma/desktoptheme
%{_datadir}/plasma/desktoptheme/breeze-dark
%{_datadir}/plasma/desktoptheme/breeze-light
%{_datadir}/plasma/desktoptheme/default
%{_datadir}/qlogging-categories6/plasma-framework.categories
%{_datadir}/qlogging-categories6/plasma-framework.renamecategories

%files devel
%defattr(644,root,root,755)
%{_libdir}/libPlasma.so
%{_libdir}/libPlasmaQuick.so
%{_includedir}/Plasma
%{_includedir}/PlasmaQuick
%{_libdir}/cmake/Plasma
%{_libdir}/cmake/PlasmaQuick
%{_datadir}/kdevappwizard/templates/cpp-plasmoid6.tar.bz2
%{_datadir}/kdevappwizard/templates/plasma6-wallpaper.tar.bz2
%{_datadir}/kdevappwizard/templates/plasma6-wallpaper-with-qml-extension.tar.bz2
%{_datadir}/kdevappwizard/templates/qml-plasmoid6.tar.bz2
%{_datadir}/kdevappwizard/templates/qml-plasmoid6-with-qml-extension.tar.bz2
%changelog
* Fri Jul 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp6-libplasma.git;a=log;h=master

* Tue Jul 01 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 5c9ac7f
- updated to 6.4.2

* Tue Jun 24 2025 Witold Filipczyk <witekfl@poczta.onet.pl> e0469c6
- updated to 6.4.1

* Tue Jun 17 2025 Witold Filipczyk <witekfl@poczta.onet.pl> b468f0c
- updated to 6.4.0

* Sun Jun 08 2025 Jakub Bogusz <qboosh@pld-linux.org> c1017ce
- release 2

* Sun Jun 08 2025 Jakub Bogusz <qboosh@pld-linux.org> d41ce57
- provide kf5-plasma-desktoptheme-breeze to allow parallel installation with kf5-plasma-framework

* Sun Jun 08 2025 Jakub Bogusz <qboosh@pld-linux.org> 0a7cf48
- updated dependencies

* Sun Jun 08 2025 Jakub Bogusz <qboosh@pld-linux.org> 8573e50
- updated URL

* Sun Jun 08 2025 Jakub Bogusz <qboosh@pld-linux.org> e31e038
- dropped Obsoletes for never existing packages

* Sun Jun 08 2025 Jakub Bogusz <qboosh@pld-linux.org> 37edfd7
- simplified files

* Sun Jun 08 2025 Jakub Bogusz <qboosh@pld-linux.org> 13ee868
- descriptions

* Wed May 07 2025 Witold Filipczyk <witekfl@poczta.onet.pl> be13b76
- updated to 6.3.5

* Wed Apr 02 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 0515557
- updated to 6.3.4

* Sun Mar 16 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 84a9672
- updated to 6.3.3

* Tue Mar 04 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 139a5ae
- BC: phonon-qt5

* Thu Feb 27 2025 Witold Filipczyk <witekfl@poczta.onet.pl> a811f02
- updated to 6.3.2

* Thu Feb 20 2025 Witold Filipczyk <witekfl@poczta.onet.pl> ce91810
- updated to 6.3.1

* Wed Feb 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> ce6d7d3
- updated to 6.3.0

* Wed Jan 01 2025 Witold Filipczyk <witekfl@poczta.onet.pl> c2e1497
- updated to 6.2.5

* Fri Dec 13 2024 Jan Palus <atler@pld-linux.org> f43351b
- update -devel runtime deps; rel 2

* Tue Nov 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d7d1a72
- updated to 6.2.4

